Index: Samples/Common/CEGUIRenderer/CEGUI-OGRE.pc.in
===================================================================
--- Samples/Common/CEGUIRenderer/CEGUI-OGRE.pc.in	(revision 2)
+++ Samples/Common/CEGUIRenderer/CEGUI-OGRE.pc.in	(revision 3)
Index: Samples/Common/CEGUIRenderer/Makefile.am
===================================================================
--- Samples/Common/CEGUIRenderer/Makefile.am	(revision 2)
+++ Samples/Common/CEGUIRenderer/Makefile.am	(revision 3)
Index: Samples/Common/CEGUIRenderer/Makefile.in
===================================================================
--- Samples/Common/CEGUIRenderer/Makefile.in	(revision 2)
+++ Samples/Common/CEGUIRenderer/Makefile.in	(revision 3)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -119,4 +119,5 @@
 GLSUPPORT_LIBS = @GLSUPPORT_LIBS@
 GL_LIBS = @GL_LIBS@
+GREP = @GREP@
 GTK_CFLAGS = @GTK_CFLAGS@
 GTK_LIBS = @GTK_LIBS@
@@ -183,16 +184,13 @@
 USE_FREEIMAGE_TRUE = @USE_FREEIMAGE_TRUE@
 VERSION = @VERSION@
+XMKMF = @XMKMF@
 YACC = @YACC@
+YFLAGS = @YFLAGS@
 ZZIPLIB_CFLAGS = @ZZIPLIB_CFLAGS@
 ZZIPLIB_LIBS = @ZZIPLIB_LIBS@
 abs_top_builddir = @abs_top_builddir@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_RC = @ac_ct_RC@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
@@ -211,4 +209,7 @@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 exec_prefix = @exec_prefix@
 host = @host@
@@ -217,4 +218,5 @@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
@@ -222,4 +224,5 @@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
@@ -227,6 +230,8 @@
 ogreexecdir = @ogreexecdir@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
Index: Samples/Common/CEGUIRenderer/include/Makefile.am
===================================================================
--- Samples/Common/CEGUIRenderer/include/Makefile.am	(revision 2)
+++ Samples/Common/CEGUIRenderer/include/Makefile.am	(revision 3)
Index: Samples/Common/CEGUIRenderer/include/Makefile.in
===================================================================
--- Samples/Common/CEGUIRenderer/include/Makefile.in	(revision 2)
+++ Samples/Common/CEGUIRenderer/include/Makefile.in	(revision 3)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -112,4 +112,5 @@
 GLSUPPORT_LIBS = @GLSUPPORT_LIBS@
 GL_LIBS = @GL_LIBS@
+GREP = @GREP@
 GTK_CFLAGS = @GTK_CFLAGS@
 GTK_LIBS = @GTK_LIBS@
@@ -176,16 +177,13 @@
 USE_FREEIMAGE_TRUE = @USE_FREEIMAGE_TRUE@
 VERSION = @VERSION@
+XMKMF = @XMKMF@
 YACC = @YACC@
+YFLAGS = @YFLAGS@
 ZZIPLIB_CFLAGS = @ZZIPLIB_CFLAGS@
 ZZIPLIB_LIBS = @ZZIPLIB_LIBS@
 abs_top_builddir = @abs_top_builddir@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_RC = @ac_ct_RC@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
@@ -204,4 +202,7 @@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 exec_prefix = @exec_prefix@
 host = @host@
@@ -210,4 +211,5 @@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
@@ -215,4 +217,5 @@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
@@ -220,6 +223,8 @@
 ogreexecdir = @ogreexecdir@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
Index: Samples/Common/CEGUIRenderer/include/OgreCEGUIRenderer.h
===================================================================
--- Samples/Common/CEGUIRenderer/include/OgreCEGUIRenderer.h	(revision 2)
+++ Samples/Common/CEGUIRenderer/include/OgreCEGUIRenderer.h	(revision 3)
Index: Samples/Common/CEGUIRenderer/include/OgreCEGUIResourceProvider.h
===================================================================
--- Samples/Common/CEGUIRenderer/include/OgreCEGUIResourceProvider.h	(revision 2)
+++ Samples/Common/CEGUIRenderer/include/OgreCEGUIResourceProvider.h	(revision 3)
Index: Samples/Common/CEGUIRenderer/include/OgreCEGUITexture.h
===================================================================
--- Samples/Common/CEGUIRenderer/include/OgreCEGUITexture.h	(revision 2)
+++ Samples/Common/CEGUIRenderer/include/OgreCEGUITexture.h	(revision 3)
Index: Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer.cbp
===================================================================
--- Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer.cbp	(revision 2)
+++ Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer.cbp	(revision 3)
Index: Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer.vcproj
===================================================================
--- Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer.vcproj	(revision 2)
+++ Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer.vcproj	(revision 3)
Index: Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer_linux.cbp
===================================================================
--- Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer_linux.cbp	(revision 2)
+++ Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer_linux.cbp	(revision 3)
Index: Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer_stlp.cbp
===================================================================
--- Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer_stlp.cbp	(revision 2)
+++ Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer_stlp.cbp	(revision 3)
Index: Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer_vc8.vcproj
===================================================================
--- Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer_vc8.vcproj	(revision 2)
+++ Samples/Common/CEGUIRenderer/scripts/OgreGUIRenderer_vc8.vcproj	(revision 3)
Index: Samples/Common/CEGUIRenderer/src/Makefile.am
===================================================================
--- Samples/Common/CEGUIRenderer/src/Makefile.am	(revision 2)
+++ Samples/Common/CEGUIRenderer/src/Makefile.am	(revision 3)
Index: Samples/Common/CEGUIRenderer/src/Makefile.in
===================================================================
--- Samples/Common/CEGUIRenderer/src/Makefile.in	(revision 2)
+++ Samples/Common/CEGUIRenderer/src/Makefile.in	(revision 3)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -14,6 +14,4 @@
 
 @SET_MAKE@
-
-SOURCES = $(libCEGUIOgreRenderer_la_SOURCES)
 
 srcdir = @srcdir@
@@ -130,4 +128,5 @@
 GLSUPPORT_LIBS = @GLSUPPORT_LIBS@
 GL_LIBS = @GL_LIBS@
+GREP = @GREP@
 GTK_CFLAGS = @GTK_CFLAGS@
 GTK_LIBS = @GTK_LIBS@
@@ -194,16 +193,13 @@
 USE_FREEIMAGE_TRUE = @USE_FREEIMAGE_TRUE@
 VERSION = @VERSION@
+XMKMF = @XMKMF@
 YACC = @YACC@
+YFLAGS = @YFLAGS@
 ZZIPLIB_CFLAGS = @ZZIPLIB_CFLAGS@
 ZZIPLIB_LIBS = @ZZIPLIB_LIBS@
 abs_top_builddir = @abs_top_builddir@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_RC = @ac_ct_RC@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
@@ -222,4 +218,7 @@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 exec_prefix = @exec_prefix@
 host = @host@
@@ -228,4 +227,5 @@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
@@ -233,4 +233,5 @@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
@@ -238,6 +239,8 @@
 ogreexecdir = @ogreexecdir@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
Index: Samples/Common/CEGUIRenderer/src/OgreCEGUIRenderer.cpp
===================================================================
--- Samples/Common/CEGUIRenderer/src/OgreCEGUIRenderer.cpp	(revision 2)
+++ Samples/Common/CEGUIRenderer/src/OgreCEGUIRenderer.cpp	(revision 3)
Index: Samples/Common/CEGUIRenderer/src/OgreCEGUIResourceProvider.cpp
===================================================================
--- Samples/Common/CEGUIRenderer/src/OgreCEGUIResourceProvider.cpp	(revision 2)
+++ Samples/Common/CEGUIRenderer/src/OgreCEGUIResourceProvider.cpp	(revision 3)
Index: Samples/Common/CEGUIRenderer/src/OgreCEGUITexture.cpp
===================================================================
--- Samples/Common/CEGUIRenderer/src/OgreCEGUITexture.cpp	(revision 2)
+++ Samples/Common/CEGUIRenderer/src/OgreCEGUITexture.cpp	(revision 3)
Index: Samples/Common/Makefile.am
===================================================================
--- Samples/Common/Makefile.am	(revision 2)
+++ Samples/Common/Makefile.am	(revision 3)
Index: Samples/Common/Makefile.in
===================================================================
--- Samples/Common/Makefile.in	(revision 2)
+++ Samples/Common/Makefile.in	(revision 3)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -109,4 +109,5 @@
 GLSUPPORT_LIBS = @GLSUPPORT_LIBS@
 GL_LIBS = @GL_LIBS@
+GREP = @GREP@
 GTK_CFLAGS = @GTK_CFLAGS@
 GTK_LIBS = @GTK_LIBS@
@@ -173,16 +174,13 @@
 USE_FREEIMAGE_TRUE = @USE_FREEIMAGE_TRUE@
 VERSION = @VERSION@
+XMKMF = @XMKMF@
 YACC = @YACC@
+YFLAGS = @YFLAGS@
 ZZIPLIB_CFLAGS = @ZZIPLIB_CFLAGS@
 ZZIPLIB_LIBS = @ZZIPLIB_LIBS@
 abs_top_builddir = @abs_top_builddir@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_RC = @ac_ct_RC@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
@@ -201,4 +199,7 @@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 exec_prefix = @exec_prefix@
 host = @host@
@@ -207,4 +208,5 @@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
@@ -212,4 +214,5 @@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
@@ -217,6 +220,8 @@
 ogreexecdir = @ogreexecdir@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
Index: Samples/Common/bin/Debug/.keepme
===================================================================
--- Samples/Common/bin/Debug/.keepme	(revision 2)
+++ Samples/Common/bin/Debug/.keepme	(revision 3)
Index: Samples/Common/bin/Debug/Plugins.cfg
===================================================================
--- Samples/Common/bin/Debug/Plugins.cfg	(revision 2)
+++ Samples/Common/bin/Debug/Plugins.cfg	(revision 3)
Index: Samples/Common/bin/Debug/media.cfg
===================================================================
--- Samples/Common/bin/Debug/media.cfg	(revision 2)
+++ Samples/Common/bin/Debug/media.cfg	(revision 3)
Index: Samples/Common/bin/Debug/quake3settings.cfg
===================================================================
--- Samples/Common/bin/Debug/quake3settings.cfg	(revision 2)
+++ Samples/Common/bin/Debug/quake3settings.cfg	(revision 3)
Index: Samples/Common/bin/Debug/resources.cfg
===================================================================
--- Samples/Common/bin/Debug/resources.cfg	(revision 2)
+++ Samples/Common/bin/Debug/resources.cfg	(revision 3)
Index: Samples/Common/bin/Makefile.am
===================================================================
--- Samples/Common/bin/Makefile.am	(revision 2)
+++ Samples/Common/bin/Makefile.am	(revision 3)
Index: Samples/Common/bin/Makefile.in
===================================================================
--- Samples/Common/bin/Makefile.in	(revision 2)
+++ Samples/Common/bin/Makefile.in	(revision 3)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -99,4 +99,5 @@
 GLSUPPORT_LIBS = @GLSUPPORT_LIBS@
 GL_LIBS = @GL_LIBS@
+GREP = @GREP@
 GTK_CFLAGS = @GTK_CFLAGS@
 GTK_LIBS = @GTK_LIBS@
@@ -163,16 +164,13 @@
 USE_FREEIMAGE_TRUE = @USE_FREEIMAGE_TRUE@
 VERSION = @VERSION@
+XMKMF = @XMKMF@
 YACC = @YACC@
+YFLAGS = @YFLAGS@
 ZZIPLIB_CFLAGS = @ZZIPLIB_CFLAGS@
 ZZIPLIB_LIBS = @ZZIPLIB_LIBS@
 abs_top_builddir = @abs_top_builddir@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_RC = @ac_ct_RC@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
@@ -191,4 +189,7 @@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 exec_prefix = @exec_prefix@
 host = @host@
@@ -197,4 +198,5 @@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
@@ -202,4 +204,5 @@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
@@ -207,6 +210,8 @@
 ogreexecdir = @ogreexecdir@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
Index: Samples/Common/bin/Release/.keepme
===================================================================
--- Samples/Common/bin/Release/.keepme	(revision 2)
+++ Samples/Common/bin/Release/.keepme	(revision 3)
Index: Samples/Common/bin/Release/Plugins.cfg
===================================================================
--- Samples/Common/bin/Release/Plugins.cfg	(revision 2)
+++ Samples/Common/bin/Release/Plugins.cfg	(revision 3)
Index: Samples/Common/bin/Release/media.cfg
===================================================================
--- Samples/Common/bin/Release/media.cfg	(revision 2)
+++ Samples/Common/bin/Release/media.cfg	(revision 3)
Index: Samples/Common/bin/Release/quake3settings.cfg
===================================================================
--- Samples/Common/bin/Release/quake3settings.cfg	(revision 2)
+++ Samples/Common/bin/Release/quake3settings.cfg	(revision 3)
Index: Samples/Common/bin/Release/resources.cfg
===================================================================
--- Samples/Common/bin/Release/resources.cfg	(revision 2)
+++ Samples/Common/bin/Release/resources.cfg	(revision 3)
Index: Samples/Common/bin/media.cfg
===================================================================
--- Samples/Common/bin/media.cfg	(revision 2)
+++ Samples/Common/bin/media.cfg	(revision 3)
Index: Samples/Common/bin/plugins.cfg
===================================================================
--- Samples/Common/bin/plugins.cfg	(revision 2)
+++ Samples/Common/bin/plugins.cfg	(revision 3)
Index: Samples/Common/bin/plugins.cfg.in
===================================================================
--- Samples/Common/bin/plugins.cfg.in	(revision 2)
+++ Samples/Common/bin/plugins.cfg.in	(revision 3)
Index: Samples/Common/bin/quake3settings.cfg
===================================================================
--- Samples/Common/bin/quake3settings.cfg	(revision 2)
+++ Samples/Common/bin/quake3settings.cfg	(revision 3)
@@ -1,2 +1,2 @@
-Pak0Location: ../../Media/packs/orxonox_test.pk3
-Map: maps/hangar059.bsp
+Pak0Location: /usr/local/games/quake3/baseq3/pak0.pk3
+Map: maps/q3dm3.bsp
Index: Samples/Common/bin/resources.cfg
===================================================================
--- Samples/Common/bin/resources.cfg	(revision 2)
+++ Samples/Common/bin/resources.cfg	(revision 3)
Index: Samples/Common/bin/resources.cfg.in
===================================================================
--- Samples/Common/bin/resources.cfg.in	(revision 2)
+++ Samples/Common/bin/resources.cfg.in	(revision 3)
Index: Samples/Common/include/ExampleApplication.h
===================================================================
--- Samples/Common/include/ExampleApplication.h	(revision 2)
+++ Samples/Common/include/ExampleApplication.h	(revision 3)
Index: Samples/Common/include/ExampleFrameListener.h
===================================================================
--- Samples/Common/include/ExampleFrameListener.h	(revision 2)
+++ Samples/Common/include/ExampleFrameListener.h	(revision 3)
Index: Samples/Common/include/ExampleLoadingBar.h
===================================================================
--- Samples/Common/include/ExampleLoadingBar.h	(revision 2)
+++ Samples/Common/include/ExampleLoadingBar.h	(revision 3)
Index: Samples/Common/include/Makefile.am
===================================================================
--- Samples/Common/include/Makefile.am	(revision 2)
+++ Samples/Common/include/Makefile.am	(revision 3)
Index: Samples/Common/include/Makefile.in
===================================================================
--- Samples/Common/include/Makefile.in	(revision 2)
+++ Samples/Common/include/Makefile.in	(revision 3)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -104,4 +104,5 @@
 GLSUPPORT_LIBS = @GLSUPPORT_LIBS@
 GL_LIBS = @GL_LIBS@
+GREP = @GREP@
 GTK_CFLAGS = @GTK_CFLAGS@
 GTK_LIBS = @GTK_LIBS@
@@ -168,16 +169,13 @@
 USE_FREEIMAGE_TRUE = @USE_FREEIMAGE_TRUE@
 VERSION = @VERSION@
+XMKMF = @XMKMF@
 YACC = @YACC@
+YFLAGS = @YFLAGS@
 ZZIPLIB_CFLAGS = @ZZIPLIB_CFLAGS@
 ZZIPLIB_LIBS = @ZZIPLIB_LIBS@
 abs_top_builddir = @abs_top_builddir@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_RC = @ac_ct_RC@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
@@ -196,4 +194,7 @@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 exec_prefix = @exec_prefix@
 host = @host@
@@ -202,4 +203,5 @@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
@@ -207,4 +209,5 @@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
@@ -212,6 +215,8 @@
 ogreexecdir = @ogreexecdir@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
Index: Samples/Common/misc/.keepme
===================================================================
--- Samples/Common/misc/.keepme	(revision 2)
+++ Samples/Common/misc/.keepme	(revision 3)
Index: Samples/Common/setup/build.bat
===================================================================
--- Samples/Common/setup/build.bat	(revision 2)
+++ Samples/Common/setup/build.bat	(revision 3)
Index: Samples/Common/setup/demos.wxs
===================================================================
--- Samples/Common/setup/demos.wxs	(revision 2)
+++ Samples/Common/setup/demos.wxs	(revision 3)
Index: Samples/Common/src/.keepme
===================================================================
--- Samples/Common/src/.keepme	(revision 2)
+++ Samples/Common/src/.keepme	(revision 3)