Index: windows/precompiled_dependencies/mingw64/build_boost.sh
===================================================================
--- windows/precompiled_dependencies/mingw64/build_boost.sh	(revision 126)
+++ windows/precompiled_dependencies/mingw64/build_boost.sh	(revision 127)
@@ -16,5 +16,13 @@
 	rm -rf $STAGE_DIR
 	check_result $? "cleaning stage dir"
+	rm -rf "bin.v2"
+	check_result $? "cleaning dist dir"
 	rm -rf "dist"
+	check_result $? "cleaning dist dir"
+	rm -rf "tools/build/src/engine/bin.ntx86"
+	check_result $? "cleaning dist dir"
+	rm -rf "tools/build/src/engine/bootstrap"
+	check_result $? "cleaning dist dir"
+	rm -rf "libs/config/checks/architecture/bin"
 	check_result $? "cleaning dist dir"
 	rm -rf $TEMP_INC_DIR
@@ -53,5 +61,5 @@
 	mkdir -p ${TARGET_INC_DIR}/boost
 	check_result $? "creating include dir"
-	cp -aT ${TEMP_INC_DIR}/boost ${TARGET_INC_DIR}/boost/
+	cp -aT ${TEMP_INC_DIR}/boost ${TARGET_INC_DIR}/boost/boost
 	check_result $? "copying includes"
 
Index: windows/precompiled_dependencies/mingw64/build_cegui-0-7.sh
===================================================================
--- windows/precompiled_dependencies/mingw64/build_cegui-0-7.sh	(revision 126)
+++ windows/precompiled_dependencies/mingw64/build_cegui-0-7.sh	(revision 127)
@@ -34,4 +34,7 @@
 	cp -aT "${TEMP_DIR}/ogredeps/lib/Release" "dependencies/lib"
 	check_result $? "copy libs"
+	
+	# create subdirectory to fix an include path in premake script
+	mkdir -p "cegui/include/ScriptingModules/LuaScriptModule/support/tolua++bin"
 
 	cd projects/premake
Index: windows/precompiled_dependencies/mingw64/build_lua.sh
===================================================================
--- windows/precompiled_dependencies/mingw64/build_lua.sh	(revision 126)
+++ windows/precompiled_dependencies/mingw64/build_lua.sh	(revision 127)
@@ -34,5 +34,5 @@
 	mkdir -p "${TARGET_INC_DIR}/lua"
 	check_result $? "create include dir"
-	cp -aT $HEADER_DIR "${TARGET_INC_DIR}/lua"
+	cp -aT $HEADER_DIR "${TARGET_INC_DIR}/lua/include"
 	check_result $? "copying includes"
 
Index: windows/precompiled_dependencies/mingw64/build_ogre.sh
===================================================================
--- windows/precompiled_dependencies/mingw64/build_ogre.sh	(revision 126)
+++ windows/precompiled_dependencies/mingw64/build_ogre.sh	(revision 127)
@@ -18,4 +18,6 @@
 then
 	# modify sources to make it work with mingw64
+	sed -i "s/ -march=i686//" "CMakeLists.txt"
+	check_result $? "remove compiler flag -march=i686"
 	sed -i "s/DxErr/dxerr9/" "CMake/Packages/FindDirectX.cmake"
 	check_result $? "renaming DxErr library in FindDirectX.cmake"
Index: windows/precompiled_dependencies/mingw64/build_ogredeps.sh
===================================================================
--- windows/precompiled_dependencies/mingw64/build_ogredeps.sh	(revision 126)
+++ windows/precompiled_dependencies/mingw64/build_ogredeps.sh	(revision 127)
@@ -52,5 +52,5 @@
 
 	# copy whole dependency folder to TEMP_DIR for future build steps (i.e. ogre)
-	cp -aT "ogredeps" "${TEMP_DIR}"
+	cp -aT "ogredeps" "${TEMP_DIR}/ogredeps"
 	check_result $? "copying dependencies to TEMP_DIR"
 
Index: windows/precompiled_dependencies/mingw64/build_tcl.sh
===================================================================
--- windows/precompiled_dependencies/mingw64/build_tcl.sh	(revision 126)
+++ windows/precompiled_dependencies/mingw64/build_tcl.sh	(revision 127)
@@ -2,5 +2,6 @@
 
 NAME="[tcl]"
-WORKING_DIR="tcl/tcl8.6.4"
+WORKING_DIR="tcl/tcl8.5.19"
+#WORKING_DIR="tcl/tcl8.6.4"
 
 source ./build_common.sh
Index: windows/precompiled_dependencies/mingw64/build_xerces.sh
===================================================================
--- windows/precompiled_dependencies/mingw64/build_xerces.sh	(revision 126)
+++ windows/precompiled_dependencies/mingw64/build_xerces.sh	(revision 127)
@@ -30,5 +30,5 @@
 	cp -a "src/.libs/libxerces-c.a" "${TEMP_DIR}/ceguideps/lib"
 	check_result $? "copy lib"
-	cp -aT "src/xercesc" "${TEMP_DIR}/ceguideps/include"
+	cp -aT "src/xercesc" "${TEMP_DIR}/ceguideps/include/xercesc"
 	check_result $? "copy includes"
 