Index: /code/branches/FICN/src/audio/AudioManager.cc
===================================================================
--- /code/branches/FICN/src/audio/AudioManager.cc	(revision 418)
+++ /code/branches/FICN/src/audio/AudioManager.cc	(revision 419)
@@ -5,10 +5,31 @@
 	AudioManager::AudioManager()
 	{
+ 		alutInit(NULL, 0);
+
+		bgSound.open("ambient3");
+		bgSound.display();
 		
+		if(!bgSound.playback())
+		{
+    	std::cout << "Ogg refused to play.";
+		}
 	}
 		
 	AudioManager::~AudioManager()
 	{
-		
+		bgSound.release();
+		alutExit();
+	}
+	
+	void AudioManager::update()
+	{
+		bgSound.update();
+    if(!bgSound.playing())
+    {
+        if(!bgSound.playback())
+            std::cout << "Ogg abruptly stopped.";
+        else
+            std::cout << "Ogg stream was interrupted.\n";
+    }
 	}
 	
Index: /code/branches/FICN/src/audio/AudioManager.h
===================================================================
--- /code/branches/FICN/src/audio/AudioManager.h	(revision 418)
+++ /code/branches/FICN/src/audio/AudioManager.h	(revision 419)
@@ -6,4 +6,5 @@
 #include "AudioBuffer.h"
 #include "AudioSource.h"
+#include "AudioStream.h"
 
 namespace audio
@@ -12,20 +13,32 @@
 	{
 	public:
+
 		// Init audio 
 		AudioManager();
+
 		// Kill audio and set buffers, sources and memory free
 		~AudioManager();
+
 		// Set listener position
 		void setPos(std::vector<float> newPosition);
+
 		// Set listener speed
 		void setSpeed(std::vector<float> newSpeed);
+
 		// Set listener orientation (first is direction
 		// the listener looks at, the second is the direction
 		// upwards the listener)
 		void setOri(std::vector<float> at, std::vector<float> up);
+
 		// Parses given xml string
 		void loadParams();
+
+		// Update
+		void update();
+
 	private:
 
+		// Backgroundsound
+    AudioStream bgSound;
 	
 		// Vector containing all audio files
Index: /code/branches/FICN/src/audio/AudioStream.cc
===================================================================
--- /code/branches/FICN/src/audio/AudioStream.cc	(revision 418)
+++ /code/branches/FICN/src/audio/AudioStream.cc	(revision 419)
@@ -4,5 +4,5 @@
 namespace audio
 {
-	void AudioStream::open(string path)
+	void AudioStream::open(std::string path)
 	{
 	    int result;
@@ -61,5 +61,5 @@
 	void AudioStream::display()
 	{
-	    cout
+	    std::cout
 	        << "version         " << vorbisInfo->version         << "\n"
 	        << "channels        " << vorbisInfo->channels        << "\n"
@@ -73,7 +73,7 @@
 	        
 	    for(int i = 0; i < vorbisComment->comments; i++)
-	        cout << "   " << vorbisComment->user_comments[i] << "\n";
-	        
-	    cout << endl;
+	        std::cout << "   " << vorbisComment->user_comments[i] << "\n";
+	        
+	    std::cout << std::endl;
 	}
 	
@@ -212,5 +212,5 @@
 	            return std::string("Invalid Vorbis header.");
 	        case OV_EFAULT:
-	            return string("Internal logic fault (bug or heap/stack corruption.");
+	            return std::string("Internal logic fault (bug or heap/stack corruption.");
 	        default:
 	            return std::string("Unknown Ogg error.");
@@ -218,2 +218,3 @@
 	}
 }
+
Index: /code/branches/FICN/src/audio/CMakeLists.txt
===================================================================
--- /code/branches/FICN/src/audio/CMakeLists.txt	(revision 418)
+++ /code/branches/FICN/src/audio/CMakeLists.txt	(revision 419)
@@ -6,5 +6,5 @@
 	AudioBuffer.cc
 	AudioSource.cc
-
+	AudioStream.cc
 )
 SET(INC_FILES 
@@ -12,4 +12,5 @@
 	AudioBuffer.h
 	AudioSource.h
+	AudioStream.h
 )
 
Index: /code/branches/FICN/src/orxonox/orxonox.cc
===================================================================
--- /code/branches/FICN/src/orxonox/orxonox.cc	(revision 418)
+++ /code/branches/FICN/src/orxonox/orxonox.cc	(revision 419)
@@ -56,4 +56,5 @@
 SpaceshipSteering* steering;
 
+audio::AudioManager* auMan;
 
 // some tests to see if enet works without includsion
@@ -113,4 +114,7 @@
     bool frameStarted(const FrameEvent& evt)
     {
+    
+    	auMan->update();
+    
       mKeyboard->capture();
       mMouse->capture();
@@ -281,5 +285,5 @@
       void createScene(void)
       {
-		audio::AudioManager* auMan = new audio::AudioManager();
+				auMan = new audio::AudioManager();
 
 