Index: code/branches/FICN/cmake/FindBoost.cmake
===================================================================
--- code/branches/FICN/cmake/FindBoost.cmake	(revision 600)
+++ code/branches/FICN/cmake/FindBoost.cmake	(revision 601)
Index: code/branches/FICN/src/network/Client.cc
===================================================================
--- code/branches/FICN/src/network/Client.cc	(revision 600)
+++ code/branches/FICN/src/network/Client.cc	(revision 601)
@@ -181,5 +181,5 @@
     ENetPacket *packet;
     // stop if the packet queue is empty
-    while(!client_connection.queueEmpty()){
+    while(!(client_connection.queueEmpty())){
       packet = client_connection.getPacket();
       elaborate(packet, 0); // ================= i guess we got to change this .... (client_ID is always same = server)
Index: code/branches/FICN/src/network/NetworkFrameListener.h
===================================================================
--- code/branches/FICN/src/network/NetworkFrameListener.h	(revision 600)
+++ code/branches/FICN/src/network/NetworkFrameListener.h	(revision 601)
@@ -17,4 +17,5 @@
 #include "Server.h"
 #include "Client.h"
+//#include <iostream>
 // #include "orxonox/orxonox.cc"
 network::Server *server_g;
@@ -35,4 +36,5 @@
 private:
   bool frameStarted(const Ogre::FrameEvent &evt){
+    std::cout << "framelistener" << std::endl;
     client_g->tick(evt.timeSinceLastFrame);
     return FrameListener::frameStarted(evt);
Index: code/branches/FICN/src/network/Server.cc
===================================================================
--- code/branches/FICN/src/network/Server.cc	(revision 600)
+++ code/branches/FICN/src/network/Server.cc	(revision 601)
@@ -86,8 +86,12 @@
   bool Server::sendMSG(const char *msg){
     ENetPacket *packet = packet_gen.chatMessage(msg);
-    //std::cout <<"adding packets" << std::endl;
+    std::cout <<"adding PPPPPackets" << std::endl;
     connection->addPacketAll(packet);
     //std::cout <<"added packets" << std::endl;
-    return connection->sendPackets();
+    if (connection->sendPackets()){
+	std::cout << "SSSSSucessfully" << std::endl;
+	return true;
+    }
+    return false;
   }
   
Index: code/branches/FICN/src/network/dummyclient3.cc
===================================================================
--- code/branches/FICN/src/network/dummyclient3.cc	(revision 600)
+++ code/branches/FICN/src/network/dummyclient3.cc	(revision 601)
@@ -34,5 +34,5 @@
           std::getline( std::cin, str );
           client.sendChat( str );
-          std::cout << "send message" << std::endl;
+          std::cout << "sent message" << std::endl;
   }
 
@@ -42,5 +42,5 @@
 
 void listener(){
-
+	
   const int PORT = 55556;
   std::cout << "Enter address of the server xxx.xxx.xxx.xxx (enter for localhost)" << std::endl;
Index: code/branches/FICN/src/orxonox/orxonox.cc
===================================================================
--- code/branches/FICN/src/orxonox/orxonox.cc	(revision 600)
+++ code/branches/FICN/src/orxonox/orxonox.cc	(revision 601)
@@ -87,10 +87,10 @@
   {
     public:
-      OrxListener(OIS::Keyboard *keyboard, OIS::Mouse *mouse, audio::AudioManager*  auMan, SpaceshipSteering* steering)
+      OrxListener(OIS::Keyboard *keyboard, OIS::Mouse *mouse, audio::AudioManager*  auMan, SpaceshipSteering* steering, gameMode mode)
       : mKeyboard(keyboard), mMouse(mouse)
       {
 
 
-
+        mode_=mode;
         speed = 250;
         loop = 100;
@@ -162,4 +162,6 @@
         //if(mKeyboard->isKeyDown(OIS::KC_ESCAPE))
           //cout << "maximal MouseX: " << maxMouseX << "\tminMouseX: " << minMouseX << endl;
+        if(mode_==SERVER)
+	  server_g->tick(evt.timeSinceLastFrame);
         usleep(10);
         return !mKeyboard->isKeyDown(OIS::KC_ESCAPE);
@@ -181,4 +183,5 @@
 
     private:
+      gameMode mode_;
       float speed;
       float rotate;
@@ -276,4 +279,6 @@
     switch(mode_){
     case PRESENTATION:
+      //ogre_->getRoot()->addFrameListener(new network::ServerFrameListener());
+      //std::cout << "could not add framelistener" << std::endl;
       server_g->open();
       break;
@@ -369,5 +374,4 @@
     if(!ogre_->load()) die(/* unable to load */);
     // add network framelistener
-    ogre_->getRoot()->addFrameListener(new network::ServerFrameListener());
   }
 
@@ -536,5 +540,5 @@
 
     //if(mode_!=CLIENT) // just a hack ------- remove this in future
-      frameListener_ = new OrxListener(keyboard_, mouse_, auMan_, steering_);
+      frameListener_ = new OrxListener(keyboard_, mouse_, auMan_, steering_, mode_);
     ogre_->getRoot()->addFrameListener(frameListener_);
   }