Index: code/branches/FICN/src/orxonox/Orxonox.h
===================================================================
--- code/branches/FICN/src/orxonox/Orxonox.h	(revision 716)
+++ code/branches/FICN/src/orxonox/Orxonox.h	(revision 717)
@@ -65,9 +65,9 @@
 
     private:
-      GraphicsEngine*       ogre_;      //!< our dearest graphics engine <3
-      std::string           dataPath_;  //!< path to data
-      loader::LevelLoader*  loader_;    //!< level loader builds the scene
-      audio::AudioManager*  auMan_;     //!< audio manager
-      BulletManager*        bulletMgr_; //!< Keeps track of the thrown bullets
+      GraphicsEngine*       ogre_;          //!< our dearest graphics engine <3
+      std::string           dataPath_;      //!< path to data
+      loader::LevelLoader*  loader_;        //!< level loader builds the scene
+      audio::AudioManager*  auMan_;         //!< audio manager
+      BulletManager*        bulletMgr_;     //!< Keeps track of the thrown bullets
       static Orxonox*       singletonRef_;
       OIS::Keyboard*        keyboard_;
Index: code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc	(revision 716)
+++ code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc	(revision 717)
@@ -48,5 +48,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = Int;
+        this->type_ = VT_Int;
 
         this->defvalueString_ = number2String(defvalue, "0");                       // Try to convert the default-value to a string
@@ -70,5 +70,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = uInt;
+        this->type_ = VT_uInt;
 
         this->defvalueString_ = number2String(defvalue, "0");                       // Try to convert the default-value to a string
@@ -92,5 +92,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = Char;
+        this->type_ = VT_Char;
 
         this->defvalueString_ = number2String((int)defvalue, "0");                  // Try to convert the default-value to a string
@@ -114,5 +114,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = uChar;
+        this->type_ = VT_uChar;
 
         this->defvalueString_ = number2String((unsigned int)defvalue, "0");         // Try to convert the default-value to a string
@@ -136,5 +136,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = Float;
+        this->type_ = VT_Float;
 
         this->defvalueString_ = number2String(defvalue, "0.000000");                // Try to convert the default-value to a string
@@ -158,5 +158,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = Double;
+        this->type_ = VT_Double;
 
         this->defvalueString_ = number2String(defvalue, "0.000000");                // Try to convert the default-value to a string
@@ -180,5 +180,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = LongDouble;
+        this->type_ = VT_LongDouble;
 
         this->defvalueString_ = number2String(defvalue, "0.000000");                // Try to convert the default-value to a string
@@ -202,5 +202,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = Bool;
+        this->type_ = VT_Bool;
 
         // Convert the default-value from bool to string
@@ -228,5 +228,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = _String;
+        this->type_ = VT_String;
 
         this->defvalueString_ = "\"" + defvalue + "\"";                             // Convert the string to a "config-file-string" with quotes
@@ -249,5 +249,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = ConstChar;
+        this->type_ = VT_ConstChar;
 
         this->defvalueString_ = "\"" + std::string(defvalue) + "\"";                // Convert the string to a "config-file-string" with quotes
@@ -270,5 +270,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = _Vector2;
+        this->type_ = VT_Vector2;
 
         // Try to convert the default-value from Vector2 to string
@@ -297,5 +297,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = _Vector3;
+        this->type_ = VT_Vector3;
 
         // Try to convert the default-value from Vector3 to string
@@ -324,5 +324,5 @@
         this->classname_ = classname;
         this->varname_ = varname;
-        this->type_ = _ColourValue;
+        this->type_ = VT_ColourValue;
 
         // Try to convert the default-value from ColourValue to string
@@ -346,29 +346,29 @@
     bool ConfigValueContainer::parseSting(const std::string& input)
     {
-        if (this->type_ == ConfigValueContainer::Int)
+        if (this->type_ == ConfigValueContainer::VT_Int)
             return this->parseSting(input, this->value_.value_int_);
-        else if (this->type_ == ConfigValueContainer::uInt)
+        else if (this->type_ == ConfigValueContainer::VT_uInt)
             return this->parseSting(input, this->value_.value_uint_);
-        else if (this->type_ == ConfigValueContainer::Char)
+        else if (this->type_ == ConfigValueContainer::VT_Char)
             return this->parseSting(input, this->value_.value_char_);
-        else if (this->type_ == ConfigValueContainer::uChar)
+        else if (this->type_ == ConfigValueContainer::VT_uChar)
             return this->parseSting(input, this->value_.value_uchar_);
-        else if (this->type_ == ConfigValueContainer::Float)
+        else if (this->type_ == ConfigValueContainer::VT_Float)
             return this->parseSting(input, this->value_.value_float_);
-        else if (this->type_ == ConfigValueContainer::Double)
+        else if (this->type_ == ConfigValueContainer::VT_Double)
             return this->parseSting(input, this->value_.value_double_);
-        else if (this->type_ == ConfigValueContainer::LongDouble)
+        else if (this->type_ == ConfigValueContainer::VT_LongDouble)
             return this->parseSting(input, this->value_.value_long_double_);
-        else if (this->type_ == ConfigValueContainer::Bool)
+        else if (this->type_ == ConfigValueContainer::VT_Bool)
             return this->parseSting(input, this->value_.value_bool_);
-        else if (this->type_ == ConfigValueContainer::_String)
+        else if (this->type_ == ConfigValueContainer::VT_String)
             return this->parseSting(input, this->value_string_);
-        else if (this->type_ == ConfigValueContainer::ConstChar)
+        else if (this->type_ == ConfigValueContainer::VT_ConstChar)
             return this->parseSting(input, this->value_string_);
-        else if (this->type_ == ConfigValueContainer::_Vector2)
+        else if (this->type_ == ConfigValueContainer::VT_Vector2)
             return this->parseSting(input, this->value_vector2_);
-        else if (this->type_ == ConfigValueContainer::_Vector3)
+        else if (this->type_ == ConfigValueContainer::VT_Vector3)
             return this->parseSting(input, this->value_vector3_);
-        else if (this->type_ == ConfigValueContainer::_ColourValue)
+        else if (this->type_ == ConfigValueContainer::VT_ColourValue)
             return this->parseSting(input, this->value_colourvalue_);
 
@@ -377,5 +377,5 @@
 
     /**
-        @brief Parses a given String into a value of the type int and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type int and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
@@ -388,5 +388,5 @@
 
     /**
-        @brief Parses a given String into a value of the type unsigned int and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type unsigned int and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
@@ -399,5 +399,5 @@
 
     /**
-        @brief Parses a given String into a value of the type char and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type char and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
@@ -411,5 +411,5 @@
 
     /**
-        @brief Parses a given String into a value of the type unsigned char and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type unsigned char and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
@@ -423,5 +423,5 @@
 
     /**
-        @brief Parses a given String into a value of the type float and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type float and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
@@ -434,5 +434,5 @@
 
     /**
-        @brief Parses a given String into a value of the type double and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type double and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
@@ -445,5 +445,5 @@
 
     /**
-        @brief Parses a given String into a value of the type long double and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type long double and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
@@ -456,5 +456,5 @@
 
     /**
-        @brief Parses a given String into a value of the type bool and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type bool and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
@@ -484,5 +484,5 @@
 
     /**
-        @brief Parses a given String into a value of the type String and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type std::string and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
@@ -509,5 +509,5 @@
 
     /**
-        @brief Parses a given String into a value of the type const char* and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type const char* and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
@@ -534,5 +534,5 @@
 
     /**
-        @brief Parses a given String into a value of the type _Vector2 and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type _Vector2 and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
@@ -568,5 +568,5 @@
 
     /**
-        @brief Parses a given String into a value of the type Vector3 and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type Vector3 and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
@@ -607,5 +607,5 @@
 
     /**
-        @brief Parses a given String into a value of the type ColourValue and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @brief Parses a given std::string into a value of the type ColourValue and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
         @param input The string to convert
         @param defvalue The default-value
Index: code/branches/FICN/src/orxonox/core/ConfigValueContainer.h
===================================================================
--- code/branches/FICN/src/orxonox/core/ConfigValueContainer.h	(revision 716)
+++ code/branches/FICN/src/orxonox/core/ConfigValueContainer.h	(revision 717)
@@ -74,17 +74,17 @@
             enum VariableType
             {
-                Int,
-                uInt,
-                Char,
-                uChar,
-                Float,
-                Double,
-                LongDouble,
-                Bool,
-                ConstChar,
-                _String,
-                _Vector2,
-                _Vector3,
-                _ColourValue
+                VT_Int,
+                VT_uInt,
+                VT_Char,
+                VT_uChar,
+                VT_Float,
+                VT_Double,
+                VT_LongDouble,
+                VT_Bool,
+                VT_ConstChar,
+                VT_String,
+                VT_Vector2,
+                VT_Vector3,
+                VT_ColourValue
             };
 
@@ -180,7 +180,7 @@
 
             std::string         value_string_;                  //!< The value, if the variable is of the type string
-            Vector2       value_vector2_;                 //!< The value, if the variable is of the type Vector2
-            Vector3       value_vector3_;                 //!< The value, if the variable is of the type Vector3
-            ColourValue   value_colourvalue_;             //!< The value, if the variable is of the type ColourValue
+            Vector2             value_vector2_;                 //!< The value, if the variable is of the type Vector2
+            Vector3             value_vector3_;                 //!< The value, if the variable is of the type Vector3
+            ColourValue         value_colourvalue_;             //!< The value, if the variable is of the type ColourValue
 
             std::list<std::string>::iterator configFileLine_;   //!< An iterator, pointing to the entry of the variable in the config-file
Index: code/branches/FICN/src/orxonox/objects/BillboardSet.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/BillboardSet.h	(revision 716)
+++ code/branches/FICN/src/orxonox/objects/BillboardSet.h	(revision 717)
@@ -9,5 +9,4 @@
 
 #include "../core/CoreIncludes.h"
-#include "misc/ColourValue.h"
 #include "misc/Math.h"
 
Index: code/branches/FICN/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceShip.cc	(revision 716)
+++ code/branches/FICN/src/orxonox/objects/SpaceShip.cc	(revision 717)
@@ -36,4 +36,5 @@
 #include "tinyxml/tinyxml.h"
 #include "misc/String2Number.h"
+#include "misc/Math.h"
 #include "../core/CoreIncludes.h"
 #include "../core/Debug.h"